//
// FileName.h
//
// TextEntry which allows player to type in a file name.
//

#ifndef FILENAME_H
#define FILENAME_H

// System includes.
#include <string>

// Engine includes.
#include "TextEntry.h"

class FileName : public df::TextEntry {

 public:
  FileName(std::string filename);
  int eventHandler(const df::Event *p_e) override;
  void callback();
};

#endif // FILENAME_H
